Difference between revisions of "getPos"

From Bohemia Interactive Community
Jump to navigation Jump to search
m
Line 22: Line 22:
 
<dl class="command_description">
 
<dl class="command_description">
 
<!-- Note Section BEGIN -->
 
<!-- Note Section BEGIN -->
ArmA Ver '''1.02''':
+
<dd class="notedate">Posted on 16 Feb, 2007</dd>
 +
<dt class="note">'''[[User:Dr_Eyeball|Dr_Eyeball]]'''</dt><dd class="note">
 
  getPos obj select 2  
 
  getPos obj select 2  
Often returns the vertical position above ground level, but for a stacked object, it returns the vertical position above the object beneath it. The same problem exists for [[getPosASL]]. There was a [http://www.flashpoint1985.com/cgi-bin/ikonboard311/ikonboard.cgi?s=e587356595b907e91f96b8817d7f8a26;act=ST;f=71;t=57918 discussion] thread in the BIS forums which suggested the use of the commands [[worldToModel]] or [[modelToWorld]] instead to get around this issue where an absolute vertical position is required.
+
might return the vertical position above ground level, but for a stacked object, it returns the vertical position above the object beneath it. The same problem exists for [[getPosASL]]. There was a [http://www.flashpoint1985.com/cgi-bin/ikonboard311/ikonboard.cgi?s=e587356595b907e91f96b8817d7f8a26;act=ST;f=71;t=57918 discussion] thread in the BIS forums which suggested the use of the command [[modelToWorld]] instead to get around this issue where an absolute vertical position is required. ArmA Ver '''1.02'''.
 +
</dd>
 
<!-- Note Section END -->
 
<!-- Note Section END -->
 
</dl>
 
</dl>

Revision as of 09:36, 23 February 2007

Template:Command

Notes

Posted on 16 Feb, 2007
Dr_Eyeball
getPos obj select 2 might return the vertical position above ground level, but for a stacked object, it returns the vertical position above the object beneath it. The same problem exists for getPosASL. There was a discussion thread in the BIS forums which suggested the use of the command modelToWorld instead to get around this issue where an absolute vertical position is required. ArmA Ver 1.02.

Bottom Section